curl --request GET \
--url https://platform.runonatlas.com/external/customers/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://platform.runonatlas.com/external/customers/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://platform.runonatlas.com/external/customers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "2021-01-01T00:00:00.000Z",
"id": "atlas-internal-customer-id-123",
"updatedAt": "2021-01-01T00:00:00.000Z",
"merchantId": "atlas-internal-merchant-id-123",
"billingAddress1": "123 Main St",
"billingAddress2": "Apt 1",
"billingCity": "Anytown",
"billingCountry": "US",
"billingState": "CA",
"billingZipCode": "12345",
"shippingAddress1": "123 Main St",
"shippingAddress2": "Apt 1",
"shippingCity": "Anytown",
"shippingCountry": "US",
"shippingState": "CA",
"shippingZipCode": "12345",
"email": "john.doe@example.com",
"externalId": "external-customer-id-123",
"name": "John Doe",
"quickBooksId": "quickbooks-customer-id-123",
"stripeId": "stripe-customer-id-123"
}Get customer by ID
Get a customer by ID.
Authorizations
You can obtain this key from the Atlas dashboard. It must be of type secret
Path Parameters
The Atlas customer ID
1"atlas-internal-customer-id-123"
Response
The customer that has been retrieved.
The date and time the customer was created
"2021-01-01T00:00:00.000Z"
The Atlas customer ID
1"atlas-internal-customer-id-123"
The date and time the customer was last updated
"2021-01-01T00:00:00.000Z"
The Atlas merchant ID
1"atlas-internal-merchant-id-123"
Billing address line 1
1"123 Main St"
Billing address line 2
1"Apt 1"
Billing city
1"Anytown"
Billing country
1"US"
Billing state
1"CA"
Billing zip code. Must be 5 digits or 5+4 format.
^\d{5}(-\d{4})?$"12345"
Shipping address line 1
1"123 Main St"
Shipping address line 2
1"Apt 1"
Shipping city
1"Anytown"
Shipping country
1"US"
Shipping state
1"CA"
Shipping zip code. Must be 5 digits or 5+4 format.
^\d{5}(-\d{4})?$"12345"
The email of the customer
1"john.doe@example.com"
The external ID of the customer (e.g. the customer ID in your system)
1"external-customer-id-123"
The name of the customer
1"John Doe"
The QuickBooks ID of the customer
1"quickbooks-customer-id-123"
The Stripe ID of the customer
1"stripe-customer-id-123"

